This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Sun, 6 Sep 2015 23:16:12 +1000
Subject: [PATCH 1/1] fix typedef conflicts

taken from:
https://aur.archlinux.org/cgit/aur.git/tree/0001-header-compat.mingw.patch?h=mingw-w64-libjpeg-turbo

diff --git a/jmorecfg.h b/jmorecfg.h
index 1111111..2222222 100644
--- a/jmorecfg.h
+++ b/jmorecfg.h
@@ -16,7 +16,13 @@
  * optimizations.  Most users will not need to touch this file.
  */
 
+/* prevents conflicts */
+#if defined(__MINGW32__)
+#include <shlwapi.h> /* typedefs INT16 and INT32 */
 
+#define HAVE_BOOLEAN
+#endif
+ 
 /*
  * Maximum number of components (color channels) allowed in JPEG image.
  * To meet the letter of Rec. ITU-T T.81 | ISO/IEC 10918-1, set this to 255.
